Skip to main content
`Ctrl`+`K`

# PetscFunctionListClear

Clear a `PetscFunctionList`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFunctionListClear(PetscFunctionList fl)

Not Collective

## Input Parameter

- fl - The `PetscFunctionList` to clear

## Notes

This clears the contents of `fl` but does not deallocate the entries themselves.

## See Also

`PetscFunctionList`, `PetscFunctionListDestroy()`, `PetscFunctionListAdd()`

## Level

developer

## Location

src/sys/dll/reg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages